import requests
import os
from htmlpy import *

# Wrapper for Base HTML
def buildSite(content, title=None):
    return Document(
        head=Head(
            [
                Title(title),
                Meta(
                    name="viewport",
                    content="user-scalable=no, width=device-width, initial-scale=1.0",
                ),
                BOOTSTRAP,
            ]
        ),
        body=Body(
            content,
            global_attr=GlobalAttributes(
                css_class="bg-dark text-white justify-content-center text-center"
            ),
        ),
    )


def download_file(url, file):
    os.makedirs("/app/static/", exist_ok=True)
    r = requests.get(url, allow_redirects=True)
    open(file, "wb").write(r.content)


# Downloads all bootstrap files to flasks static directory
def cache_bootstrap():
    download_file(
        "https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css",
        "/app/static/bootstrap.min.css",
    )
    download_file(
        "https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css",
        "/app/static/bootstrap-icons.css",
    )
    download_file(
        "https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js",
        "/app/static/bootstrap.bundle.min.js",
    )


# Bootstrap CSS
BOOTSTRAP = [
    Reference(
        "/static/bootstrap.min.css",
        "stylesheet",
    ),
    Reference(
        "/static/bootstrap-icons.css",
        "stylesheet",
    ),
    Script(src="/static/bootstrap.bundle.min.js"),
]
