import datetime
import os
import gnupg

# Encrypt msg with GPG
def encrypt(msg):
    pgp = gnupg.GPG()
    pgp.import_keys(open("/config/pub.key").read())
    return str(pgp.encrypt(msg, pgp.list_keys()[0]["fingerprint"]))


# Save msg in `/data/messages`
def save_message(msg, name=""):
    os.makedirs("/data/messages", exist_ok=True)
    dt = datetime.datetime.now().strftime("%Y-%m-%d.%H-%M")
    f = open(f"/data/messages/{name}-{dt}.asc", "w")
    f.write(msg)
